#define _ARMA_

class CfgPatches
{
	class ttt_cubesample
	{
		units[] = {"ttt_cube"};
		weapons[] = {};
		requiredVersion = 1.76;
		requiredAddons[] = {"A3_Structures_F"};
	};
};

class CfgVehicles
{
	class ThingX;
	class ttt_cube: ThingX
	{
		model = "\ttt_cubesample\ttt_cube.p3d";
		displayName = "Cube Sample";
		scope = 2;
		scopeCurator = 2;
		scopeArsenal = 1;
		vehicleClass = "Tents";

		hiddenSelections[] = { "top" };

		class AnimationSources
		{
			class door_source
			{
				source = "user";
				initPhase = 0;
				animPeriod = 2;
			};
			class m1_source: door_source { };
			class m2_source: door_source { };
			class m3_source: door_source { };
		};
		class UserActions
		{
			class openDoor
			{
				displayName = "Open Door";
				condition = "this animationSourcePhase 'door_source' < 0.1";
				statement = "this animateSource ['door_source', 1];";
				position = "door_handle";
				radius = 15;
				onlyforplayer = 1;
				priority = 5;
				showWindow = 0;
			};
			class closeDoor: openDoor
			{
				displayName = "Close Door";
				condition = "this animationSourcePhase 'door_source' > 0.9";
				statement = "this animateSource ['door_source', 0];";
			};
		};
	};
	class ttt_cube_open: ttt_cube
	{
		displayName = "Cube Sample open";
		class AnimationSources: AnimationSources
		{
			class door_source: door_source
			{
				initPhase = 1;
			};
		};
	};
	class Truck_F;
	class ttt_platform: Truck_F // ttt_cube 
	{
		model = "ttt_cubesample\ttt_platform.p3d";
		displayName = "TTT Platform";
		reversed = 1;
		scope = 2;
		scopeCurator = 2;
		scopeArsenal = 1;
		side = 1;
		class AnimationSources
		{
			class flat_source
			{
				source = "user";
				initPhase = 0;
				animPeriod = 1;
			};
		};
		class VehicleTransport
		{
			class Carrier
			{
				cargoBayDimensions[]		= {"VTV_limit_1", "VTV_limit_2"};	// Memory points in model defining cargo space
				disableHeightLimit			= 0;								// If set to 1 disable height limit of transported vehicles
				maxLoadMass					= 900000;							// Maximum cargo weight (in Kg) which the vehicle can transport
				cargoAlignment[]			= {"front", "left"};				// Array of 2 elements defining alignment of vehicles in cargo space. Possible values are left, right, center, front, back. Order is important.
				cargoSpacing[]				= {0, 0.15, 0};						// Offset from X,Y,Z axes (in metres)
				// exits[]						= {"e1", "e2", "e3", "e4"};			// Memory points in model defining loading ramps, could have multiple
				exits[]						= {"e5"};
				unloadingInterval			= 2;								// Time between unloading vehicles (in seconds)
				loadingDistance				= 100;								// Maximal distance for loading in exit point (in meters).
				loadingAngle				= 60;								// Maximal sector where cargo vehicle must be to for loading (in degrees).
				parachuteClassDefault       = B_Parachute_02_F;					// Type of parachute used when dropped in air. Can be overridden by parachuteClass in Cargo.
				parachuteHeightLimitDefault = 5;								// Minimal height above terrain when parachute is used. Can be overriden by parachuteHeightLimit in Cargo.
			};
		};
		class Turrets {};
	};
};